Bug 115029 - The drawing of the blue selection frame is flickery/lagging behind while scrolling
Summary: The drawing of the blue selection frame is flickery/lagging behind while scro...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Scrolling-PageUpDown
  Show dependency treegraph
 
Reported: 2018-01-15 20:16 UTC by Telesto
Modified: 2019-02-12 03:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-01-15 20:16:39 UTC
Description:
The drawing of the blue selection frame is flickery/lagging behind while scrolling

Steps to Reproduce:
1. Open attachment 136849 [details]
2. Set it to multi page view (at least to pages) and scroll
3. Select all
4. Scroll up down/ scroll wheel or dragging scroll-bar
5. The blue selection color is always lagging behind. The text is rendered stable but the selection frame is unstable/flickery (depending on scrolling speed and method (dragging the scroll-bar or normal scrolling)

Similar behavior in Calc
1. Open a spreadsheet
2. Select all
3. Scroll down/up

Actual Results:  
The selection flickering while scrolling. It's a bit restless

Expected Results:
A more stable section frame layout


Reproducible: Always


User Profile Reset: No



Additional Info:
Found 
Version: 6.1.0.0.alpha0+
Build ID: 80fb8d406ced47e6a2089f0c8ba5c103d2fec91f
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-01-15_05:18:42
Locale: nl-NL (nl_NL); Calc: CL

and in 
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

With or without OpenGL. Also seen on MacOS (with a single page). 


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Buovjaga 2018-02-11 17:47:39 UTC
Repro.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: c6a23023150c164a19236139fa413d43006ce21c
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 11th 2018
Comment 2 QA Administrators 2019-02-12 03:42:55 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug